package de.intevation.gnv.artifacts.services.requestobjects;

/**
 * The  default Implementation of <code>Layer</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultLayer implements Layer {

    /**
     * The id of the Layer
     */
    private String id = null;

    /**
     * The name of the Layer
     */
    private String name = null;

    /**
     * Flag which defines if the Layer is a GroupLayer
     */
    private boolean groupLayer = false;

    /**
     * The ID of the Parentlayer or null if the Layer is a Rootlayer
     */
    private String parentId = null;

    /**
     * Constructor
     * @param id The id of this layer.
     * @param name The name of this layer.
     * @param groupLayer A boolean property to define this layer as group layer.
     * @param parentId The id of the parent layer.
     */
    public DefaultLayer(String id,String name,
                        boolean groupLayer,String parentId) {
        this.id = id;
        this.name = name;
        this.groupLayer = groupLayer;
        this.parentId = parentId;
    }

    public String getID() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public boolean isGroupLayer() {
        return this.groupLayer;
    }

    public String parentID() {
        return this.parentId;
    }

    /**
     * This methods returns this layer as string.
     *
     * @return this layer as string.
     */
    @Override
    public String toString() {
        return "ID: "+ this.id + " Name: "+this.name+
               " IsGroupLayer: "+this.groupLayer+
               " ParentID: "+this.parentId;
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :